/*
 * GNOME Shell extension to hide Universal Access icon from the status bar
 *
 * Author: Akatsuki Rui
 */

const Main = imports.ui.main;

class Extension {
    enable() {
        let a11y = Main.panel.statusArea['a11y'];
        if (a11y != null) {
            a11y.hide();
        }
    }

    disable() {
        let a11y = Main.panel.statusArea['a11y'];
        if (a11y != null) {
            a11y.show();
        }
    }
}

function init() {
    return new Extension();
}
